Show / Hide Table of Contents

# AsyncJointBreak2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncJointBreak2DTrigger : AsyncTriggerBase<Joint2D>, IUniTaskAsyncEnumerable<Joint2D>

##### Inheritance

System.Object → AsyncTriggerBase<Joint2D> → AsyncJointBreak2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Joint2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnJointBreak2DAsyncHandler() |
GetOnJointBreak2DAsyncHandler(CancellationToken) |
OnJointBreak2DAsync() |
OnJointBreak2DAsync(CancellationToken) |

### Methods

#### GetOnJointBreak2DAsyncHandler()

    public IAsyncOnJointBreak2DHandler GetOnJointBreak2DAsyncHandler()

##### Returns

IAsyncOnJointBreak2DHandler

#### GetOnJointBreak2DAsyncHandler(CancellationToken)

    public IAsyncOnJointBreak2DHandler GetOnJointBreak2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnJointBreak2DHandler

#### OnJointBreak2DAsync()

    public UniTask<Joint2D> OnJointBreak2DAsync()

##### Returns

UniTask<Joint2D>

#### OnJointBreak2DAsync(CancellationToken)

    public UniTask<Joint2D> OnJointBreak2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<Joint2D>

### Implements

IUniTaskAsyncEnumerable<T>